import Info from "@icons/Info";
import { Box, TextField } from "@mui/material";
import PointsQuestions from "./PointsQuestions";

interface Props {
  switchState: string;
  totalIndex: number;
}

function ResponseSettings() {
  return (
    <Box sx={{ display: "flex", p: "0 20px", pt: "30px", pb: "20px" }}>
      <TextField
        // value={text}
        placeholder="Узнать подробнее"
        fullWidth
        sx={{
          "& .MuiInputBase-root": {
            backgroundColor: "#F2F3F7",
            width: "640px",
            height: "48px",
            borderRadius: "10px",
          },
        }}
        inputProps={{
          sx: {
            borderRadius: "10px",
            fontSize: "18px",
            lineHeight: "21px",
            py: 0,
          },
        }}
      />
      <Info />
    </Box>
  );
}

export default function SwitchResult({
  switchState = "setting",
  totalIndex,
}: Props) {
  switch (switchState) {
    case "setting":
      return <ResponseSettings />;
      break;
    case "points":
      return <PointsQuestions />;
      break;
    default:
      return <></>;
  }
}
